> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/pdi-transformation-steps-reference-overview/text-file-input-cp/select-an-engine-text-file-input/using-text-file-input-on-pentaho-engine-cp/options-text-file-input-reuse/error-handling-tab-kettle.md).

# Error Handling tab

![Error Handling tab](https://3411831820-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FAYwCj9fPr1B2pjC11IOQ%2Fuploads%2Fgit-blob-8778e4ff121a5befa556b5e375aee5361218b330%2FPDI_TextFileInput_Dialog_ErrorHandling.png?alt=media)

In the **Error Handling** tab, you can specify how the step reacts when errors occur, such as malformed records, bad enclosure strings, wrong number of fields, and premature line ends. The following table contains options for error handling:

| Option                                   | Description                                                                                                                                                                                                                                               |
| ---------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Ignore errors?**                       | Select if you want to ignore errors during parsing.                                                                                                                                                                                                       |
| **Skip error files?**                    | Select if you want to skip those files that contain errors. You can generate a file that contains a listing of files where the errors occur. Otherwise, files with errors are not skipped, and the files that have parsing errors are empty (null).       |
| **Error file field name**                | Specify an error file name if you want to add field names where errors were occurred.                                                                                                                                                                     |
| **File error message field name**        | Specify an error message field name if you want to add field names where errors occurred in the error file.                                                                                                                                               |
| **Skip error lines?**                    | Select if you want to skip those lines that contain errors. You can generate an extra file that contains the line numbers where the errors occur. Otherwise, lines with errors are not skipped, and the fields that have parsing errors are empty (null). |
| **Error count fieldname**                | Specify the field name if you want to add a field containing the number of errors on the line to the output rows.                                                                                                                                         |
| **Error fields fieldname**               | Specify the field name if you want to add a field containing the names of fields where errors occurred to the output rows.                                                                                                                                |
| **Error text fieldname**                 | Specify the field name if you want to add a field containing descriptions of the parsing error occurrences to the output rows.                                                                                                                            |
| **Warning files directory**              | Specify the location of the directory where warnings are placed if they are generated. The name of the resulting file is `<warning dir>/filename.<date_time>.<warning extension>`.                                                                        |
| **Error files directory**                | Specify the location of the directory where errors are placed if they occur. The name of the resulting file is `<errorfile_dir>/filename.<date_time>.<errorfile_extension>`.                                                                              |
| **Failing line numbers files directory** | Specify the location of the directory where parsing errors on a line are placed if they occur. The name of the resulting file is `<errorline dir>/filename.<date_time>.<errorline extension>`.                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/pdi-transformation-steps-reference-overview/text-file-input-cp/select-an-engine-text-file-input/using-text-file-input-on-pentaho-engine-cp/options-text-file-input-reuse/error-handling-tab-kettle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
